CMSIS-DSP: interpolation_functions.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Enumerations | Functions
interpolation_functions.h File Reference

## Data Structures

struct | arm_linear_interp_instance_f32
| Instance structure for the floating-point Linear Interpolate function. More...
struct | arm_bilinear_interp_instance_f32
| Instance structure for the floating-point bilinear interpolation function. More...
struct | arm_bilinear_interp_instance_q31
| Instance structure for the Q31 bilinear interpolation function. More...
struct | arm_bilinear_interp_instance_q15
| Instance structure for the Q15 bilinear interpolation function. More...
struct | arm_bilinear_interp_instance_q7
| Instance structure for the Q15 bilinear interpolation function. More...
struct | arm_spline_instance_f32
| Instance structure for the floating-point cubic spline interpolation. More...

## Enumerations

enum | arm_spline_type
| Struct for specifying cubic spline type. More...

## Functions

void | arm_spline_f32 (arm_spline_instance_f32 *S, const float32_t *xq, float32_t *pDst, uint32_t blockSize)
| Processing function for the floating-point cubic spline interpolation. More...
void | arm_spline_init_f32 (arm_spline_instance_f32 *S, arm_spline_type type, const float32_t *x, const float32_t *y, uint32_t n, float32_t *coeffs, float32_t *tempBuffer)
| Initialization function for the floating-point cubic spline interpolation. More...
float32_t | arm_linear_interp_f32 (arm_linear_interp_instance_f32 *S, float32_t x)
| Process function for the floating-point Linear Interpolation Function. More...
q31_t | arm_linear_interp_q31 (const q31_t *pYData, q31_t x, uint32_t nValues)
| Process function for the Q31 Linear Interpolation Function. More...
q15_t | arm_linear_interp_q15 (const q15_t *pYData, q31_t x, uint32_t nValues)
| Process function for the Q15 Linear Interpolation Function. More...
q7_t | arm_linear_interp_q7 (const q7_t *pYData, q31_t x, uint32_t nValues)
| Process function for the Q7 Linear Interpolation Function. More...
float32_t | arm_bilinear_interp_f32 (const arm_bilinear_interp_instance_f32 *S, float32_t X, float32_t Y)
| Floating-point bilinear interpolation. More...
q31_t | arm_bilinear_interp_q31 (arm_bilinear_interp_instance_q31 *S, q31_t X, q31_t Y)
| Q31 bilinear interpolation. More...
q15_t | arm_bilinear_interp_q15 (arm_bilinear_interp_instance_q15 *S, q31_t X, q31_t Y)
| Q15 bilinear interpolation. More...
q7_t | arm_bilinear_interp_q7 (arm_bilinear_interp_instance_q7 *S, q31_t X, q31_t Y)
| Q7 bilinear interpolation. More...

## Enumeration Type Documentation

enum arm_spline_type

Enumerator
ARM_SPLINE_NATURAL | Natural spline
ARM_SPLINE_PARABOLIC_RUNOUT | Parabolic runout spline